com.explodingpixels.macwidgets

## Class MacPainterFactory

- java.lang.Object
- - com.explodingpixels.macwidgets.MacPainterFactory

    public class MacPainterFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MacPainterFactory()`

### Method Summary

Methods
`static Painter<Component>` `createIAppPressedSelectedHeaderPainter()`
`static Painter<Component>` `createIAppPressedUnselectedHeaderPainter()`
`static Painter<Component>` `createIAppUnpressedSelectedHeaderPainter()`
`static Painter<Component>` `createIAppUnpressedUnselectedHeaderPainter()`
`static Painter<Component>` `createTexturedWindowWorkaroundPainter()` Creates a `Painter` that paints a Mac unified tool bar gradient.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacPainterFactory

    public MacPainterFactory()

### Method Detail

#### createIAppUnpressedUnselectedHeaderPainter

    public static Painter<Component> createIAppUnpressedUnselectedHeaderPainter()

#### createIAppPressedUnselectedHeaderPainter

    public static Painter<Component> createIAppPressedUnselectedHeaderPainter()

#### createIAppUnpressedSelectedHeaderPainter

    public static Painter<Component> createIAppUnpressedSelectedHeaderPainter()

#### createIAppPressedSelectedHeaderPainter

    public static Painter<Component> createIAppPressedSelectedHeaderPainter()

#### createTexturedWindowWorkaroundPainter

    public static Painter<Component> createTexturedWindowWorkaroundPainter()

Creates a `Painter` that paints a Mac unified tool bar gradient.

Returns:
  a `Painter` that paints a Mac unified tool bar gradient.